Package org.apache.struts2.components

# Class ContextBean

java.lang.Object
org.apache.struts2.components.Component
org.apache.struts2.components.ContextBean

Direct Known Subclasses:
  `ActionComponent`, `AppendIterator`, `Bean`, `Date`, `IteratorComponent`, `MergeIterator`, `Number`, `Set`, `Text`, `URL`

public abstract class ContextBean extends Component
Base class for control and data tags

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `var`

  ### Fields inherited from class org.apache.struts2.components.Component

  `actionMapper, attributes, COMPONENT_STACK, devMode, escapeHtmlBody, performClearTagStateForTagPoolingServers, stack, standardAttributesMap, throwExceptionOnELFailure`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContextBean(ValueStack stack)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getVar()`
  `protected void`
  `putInContext(Object value)`
  `void`
  `setVar(String var)`

  ### Methods inherited from class org.apache.struts2.components.Component

  `addAllAttributes, addParameter, completeExpression, copyAttributes, determineActionURL, determineNamespace, end, end, escapeHtmlBody, fieldError, findAncestor, findString, findString, findValue, findValue, findValue, getAttributes, getComponentStack, getNamespace, getPerformClearTagStateForTagPoolingServers, getStack, getStandardAttributes, isAcceptableExpression, isValidTagAttribute, popComponentStack, setActionMapper, setDevMode, setEscapeHtmlBody, setNotExcludedAcceptedPatterns, setPerformClearTagStateForTagPoolingServers, setThrowExceptionsOnELFailure, setUrlHelper, start, stripExpression, toString, usesBody`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### var

    protected String var

- ## Constructor Details

  - ### ContextBean

    public ContextBean(ValueStack stack)

- ## Method Details

  - ### putInContext

    protected void putInContext(Object value)

  - ### setVar

    public void setVar(String var)

  - ### getVar

    protected String getVar()